<?php
namespace BwlFaqManager\Callbacks\Filters\Admin;

/**
 * Class for registering the category sort callabck.
 *
 * @package BwlFaqManager
 * @since: 1.0.0
 * @author: Mahbub Alam Khan
 */
class CronSchedulerCb {

	/**
	 * Set the filter for sorting categories.
	 *
	 * @param array $schedules The existing schedules.
	 *
	 * @return array The modified schedules.
	 */
	public function set_custom_schedules( $schedules ) {

		$custom_intervals = [
			BWL_CRON_EVERY_MINUTE => [
				'interval' => 60, // 60 seconds
				'display'  => esc_html__( 'Every Minute', 'bwl-adv-faq' ),
			],
			BWL_CRON_EVERY_HOUR => [
				'interval' => 3600, // 1 hour in seconds
				'display'  => esc_html__( 'Every Hour', 'bwl-adv-faq' ),
			],
			BWL_CRON_EVERY_DAY => [
				'interval' => 24 * 60 * 60, // 1 day in seconds
				'display'  => esc_html__( 'Every Day', 'bwl-adv-faq' ),
			],
			BWL_CRON_EVERY_WEEK => [
				'interval' => 7 * 24 * 60 * 60, // 7 days in seconds
				'display'  => esc_html__( 'Every Week', 'bwl-adv-faq' ),
			],
		];

		foreach ( $custom_intervals as $key => $interval ) {
			$schedules[ $key ] = $interval;
		}
		return $schedules;
	}
}
