<?php
namespace BwlFaqManager\Callbacks\Filters;

/**
 * Class for registering the category sort callabck.
 *
 * @package BwlFaqManager
 * @since: 1.0.0
 * @author: Mahbub Alam Khan
 */
class CategorySortCb {

	/**
	 * Set the filter for sorting categories.
	 *
	 * @param string $orderby The orderby clause.
	 * @param array  $args    The arguments passed to get_terms.
	 * @param string $taxonomy The taxonomy name.
	 *
	 * @return string
	 */
	public function set_filter( $orderby, $args, $taxonomy ) {

		if ( isset( $args['orderby'] ) && 'term_order' === $args['orderby'] ) {
			$orderby = 't.term_order';
		}
		return $orderby;
	}

	/**
	 * Set the taxonomy orderby.
     *
     * @param string $orderby The orderby clause.
     * @note: Values of $orderby are term_order, title, name, slug,count, term_id
	 * @return string
	 */
	public function set_taxonomy_orderby( $orderby = 'title' ) {
		return $orderby;
	}
}
