<?php
namespace BwlFaqManager\Callbacks\OptionsPanel\Pages;

use Xenioushk\BwlPluginApi\Api\View\ViewApi;

/**
 * Class for loading the about plugin page template.
 *
 * @package BwlFaqManager
 * @since: 1.0.0
 * @author: Mahbub Alam Khan
 */
class AboutPluginPageCb extends ViewApi {

	/**
	 * Load the about plugin page template.
	 *
	 * @return void
	 */
	public function load_template() {

		$data = [
			'page_title' => 'BWL Advanced FAQ Manager (' . BAF_PLUGIN_VERSION . ')',
			'steps'      => $this->get_steps(),
		];

		$this->render( BAF_VIEWS_DIR . 'Admin/PluginInfo/tpl_plugin_info.php',$data );

	}

	/**
	 * Get the steps to use the plugin.
	 *
	 * @return array
	 */
	private function get_steps() {
		$steps = [
			[
				'title' => 'Add a new faq post. Repeat this steps to create your required faqs.',
				'img'   => '1_add_a_new_faq_post.jpg',
			],
			[
				'title' => "Navigate to any page. From the top of the screen, click the (+) icon and search for 'classic' block.",
				'img'   => '2_add_classic_editor_block.png',
			],
			[
				'title' => 'Now, you can use the classic editor block. Click the (?) icon from the editor.',
				'img'   => '3_click_shortcode_editor_button.png',
			],
			[
				'title' => "Change the settings according to your requirement and click 'insert' button.",
				'img'   => '4_insert_shortcode.png',
			],
			[
				'title' => 'Save or update the page.',
				'img'   => '5_save_the_post.png',
			],
			[
				'title' => 'Congratulations! your FAQs are ready to display for the users.',
				'img'   => '6_frontend_output.png',
			],
		];

		return $steps;
	}
}
