<?php
namespace BwlFaqManager\Callbacks\OptionsPanel\Pages;

use Xenioushk\BwlPluginApi\Api\View\ViewApi;
use BwlFaqManager\Controllers\Analytics\BafAnalyticsPostsList;
use BwlFaqManager\Controllers\Analytics\BafAnalyticsLikesCount;
use BwlFaqManager\Controllers\Analytics\BafAnalyticsViewsCount;
use BwlFaqManager\Controllers\Analytics\BafAnalyticsExternalApi;
/**
 * Class for analytics page.
 *
 * @package BwlFaqManager
 * @since: 1.0.0
 * @author: Mahbub Alam Khan
 */
class AnalyticsPageCb extends ViewApi {

	/**
	 * Load the analytics page template.
	 *
	 * @return void
	 */
	public function load_template() {

		$posts_data = new BafAnalyticsPostsList();
		$api_data   = new BafAnalyticsExternalApi();

		$data = [
			'page_title'            => 'BWL Advanced FAQ Manager Addons',
			'analytics_cards'       => $this->get_analytics_cards(),
			'latestFAQPosts'        => $posts_data->getFAQPosts(),
			'popularFAQPosts'       => $posts_data->getFAQPosts( 'popular' ),
			'topViewedFAQPosts'     => $posts_data->getFAQPosts( 'viewed' ),
			'recentlyLikedFAQPosts' => $posts_data->getRecentlyLikedFaqs(),
			'recentViewedFAQPosts'  => $posts_data->getRecentlViewedFaqs(),
			'faqLikesCount'         => ( new BafAnalyticsLikesCount() )->register(),
			'faqViewsCount'         => ( new BafAnalyticsViewsCount() )->register(),
			'bwlBlogPosts'          => $api_data->getBlueWindLabBlogPosts(),
			'pluginSupportKB'       => $api_data->getPluginSupportKB(),
		];

		$this->render( BAF_VIEWS_DIR . 'Admin/Analytics/tpl_analytics.php',$data );

	}

	/**
	 * Get the analytics cards data.
	 *
	 * @return array
	 */
	private function get_analytics_cards() {
		return [ 'reports', 'likes_info', 'views_info' ];

	}
}
