<?php
namespace BwlFaqManager\Callbacks\Shortcodes;

/**
 * Class Faq Author Shortcode Cb
 *
 * @package BwlFaqManager
 */
class FaqAuthorCb {

	/**
	 * Get the author of the FAQ.
	 *
	 * @param array $atts Shortcode attributes.
	 *
	 * @return string Author name.
	 */
	public function get_the_faq_author( $atts ) {

		global $post;

		extract(shortcode_atts([ //phpcs:ignore
			'post_id' => $post->ID,
		], $atts));

		$author_id = get_post_field( 'post_author', $post_id );

		return get_the_author_meta( 'display_name', $author_id ) ?? esc_html__( 'Anonymous', 'bwl-adv-faq' );

	}
}
