<?php
namespace BwlFaqManager\Controllers\Actions\Admin;

use Xenioushk\BwlPluginApi\Api\Actions\ActionsApi;
use BwlFaqManager\Callbacks\Actions\Admin\SchedulerCb;

/**
 * Class for registering the admin scheduler actions.
 *
 * @since: 2.1.9
 * @package BwlFaqManager
 */
class Scheduler {

    /**
	 * Register actions.
	 */
    public function register() {

        // Initialize API.
        $actions_api = new ActionsApi();

        // Actions.
        $actions = [
            [
                'tag'      => 'wp',
                'callback' => [ ( new SchedulerCb() ), 'register_cron_schedule' ],
            ],
            [
                'tag'      => BAF_CRON_OFFER_ID,
                'callback' => [ ( new SchedulerCb() ), 'fetch_api_data' ],
            ],
        ];

        $actions_api->add_actions( $actions )->register();
    }
}
