<?php
namespace BwlFaqManager\Controllers\ExternalFaqForm;

use Xenioushk\BwlPluginApi\Api\AjaxHandlers\AjaxHandlersApi;
use BwlFaqManager\Callbacks\ExternalFaqForm\FaqSubmissionHandlerCb;

/**
 * Class for external FAQ form submission handler.
 *
 * @since: 1.1.1
 * @author: Mahbub Alam Khan
 * @package BwlFaqManager
 */
class FaqSubmissionHandler {

	/**
	 * Ajax Handlers API.
	 *
	 * @var ajax_handlers_api
	 */
	public $ajax_handlers_api;

	/**
	 * Faq Submission Handler Callback.
	 *
	 * @var faq_submission_handler_cb
	 */
	public $faq_submission_handler_cb;

	/**
	 * Register Faq Submission Handler.
	 */
	public function register() {

		// Initialize API.
		$this->ajax_handlers_api = new AjaxHandlersApi();

		// Initialize callbacks.
		$this->faq_submission_handler_cb = new FaqSubmissionHandlerCb();

		// Ajax requests.
		$requests = [
			[
				'tag'      => 'bwl_advanced_faq_save_post_data',
				'callback' => [ $this->faq_submission_handler_cb, 'save' ],
			],
		];

		$this->ajax_handlers_api->add_ajax_handlers( $requests )->register();
	}
}
