<?php
namespace BwlFaqManager\Controllers\Filters\Admin;

use Xenioushk\BwlPluginApi\Api\Filters\FiltersApi;
use BwlFaqManager\Callbacks\Filters\Admin\CronSchedulerCb;

/**
 * Class for registering the cron scheduler filters.
 *
 * @since: 2.1.9
 * @package BwlFaqManager
 */
class CronScheduler {

    /**
	 * Register filters.
	 */
    public function register() {

        // Initialize API.
        $filters_api = new FiltersApi();

        // Filters.
        $filters = [
            [
				'tag'      => 'cron_schedules',
				'callback' => [ ( new CronSchedulerCb() ), 'set_custom_schedules' ],
            ],
        ];

        $filters_api->add_filters( $filters )->register();
    }
}
