<?php
namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqAuthorCb;

/**
 * Class for registering Faq author shortcode.
 *
 * @since: 1.1.1
 * @package BwlFaqManager
 */
class FaqAuthor {
	/**
	 * Register shortcodes.
	 *
	 * @since 1.0.0
	 */
	public function register() {

		// Initialize API.
		$shortcodes_api = new ShortcodesApi();

		// Initialize callbacks.
		$faq_author_cb = new FaqAuthorCb();

		$shortcodes = [
			[
				'tag'      => 'bwla_author',
				'callback' => [ $faq_author_cb, 'get_the_faq_author' ],
			],
		];

		$shortcodes_api->add_shortcodes( $shortcodes )->register();
	}
}
