<?php
namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqExternalFormCb;
/**
 * Class FaqExternalForm
 *
 * @since: 1.1.1
 * @package BwlFaqManager
 */
class FaqExternalForm {

	/**
     * Register shortcodes.
     *
     * @since 1.0.0
     */
    public function register() {

        // Initialize API.
		$shortcodes_api = new ShortcodesApi();

        // Initialize callbacks.
        $faqExternalFormCb = new FaqExternalFormCb();

        $shortcodes = [
            [
                'tag'      => 'bwla_form', // tab search box
                'callback' => [ $faqExternalFormCb, 'get_faq_external_form' ],
            ],
        ];

        $shortcodes_api->add_shortcodes( $shortcodes )->register();
    }
}
