<?php

namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqItemsCb;

/**
 * Class FaqList
 *
 * This class handles the registration of the FAQ list shortcode.
 *
 * @package BwlFaqManager
 */
class FaqList {
	/**
	 * Register shortcodes.
	 *
	 * @since 1.0.0
	 */
	public function register() {

		// Initialize API.
		$shortcodes_api = new ShortcodesApi();

		// Initialize callbacks.
		$faq_items_cb = new FaqItemsCb();

		$shortcodes = [
			[
				'tag'      => 'bwla_faq', // FAQ Primary Shortcode
				'callback' => [ $faq_items_cb, 'get_faq_items' ],
			],
		];

		$shortcodes_api->add_shortcodes( $shortcodes )->register();
	}
}
