<?php
namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqSearchBoxCb;

/**
 * Class for registering Faq search box.
 *
 * @package BwlFaqManager
 */
class FaqSearchBox {

	/**
     * Register shortcodes.
     *
     * @since 1.0.0
     */
    public function register() {

        // Initialize API.
		$shortcodes_api = new ShortcodesApi();

        $shortcodes = [
            [
                'tag'      => 'baf_sbox',
                'callback' => [ ( new FaqSearchBoxCb() ), 'get_faq_search_box' ],
            ],
        ];

        $shortcodes_api->add_shortcodes( $shortcodes )->register();
    }
}
