<?php
namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqSortedListCb;

/**
 * Class FaqSortedList
 *
 * @package BwlFaqManager
 */
class FaqSortedList {
    /**
     * Register shortcodes.
     *
     * @since 1.0.0
     */
    public function register() {

		// Initialize API.
		$shortcodes_api = new ShortcodesApi();

        // Initialize callbacks.
        $faq_sorted_list_cb = new FaqSortedListCb();

        $shortcodes = [
            [
                'tag'      => 'bwla_dsort_faq',
                'callback' => [ $faq_sorted_list_cb, 'get_faq_sorted_list' ],
            ],
        ];

        $shortcodes_api->add_shortcodes( $shortcodes )->register();
    }
}