<?php

namespace BwlFaqManager\Controllers\Shortcodes;

use Xenioushk\BwlPluginApi\Api\Shortcodes\ShortcodesApi;
use BwlFaqManager\Callbacks\Shortcodes\FaqTabsCb;

/**
 * Class FaqTabs
 *
 * @package BwlFaqManager
 */
class FaqTabs {
    /**
     * Register shortcodes.
     *
     * @since 1.0.0
     */
    public function register() {

        // Initialize API.
		$shortcodes_api = new ShortcodesApi();

        // Initialize callbacks.
        $faq_tabs_cb = new FaqTabsCb();

        $shortcodes = [
            [
                'tag'      => 'bwl_faq_tab', // single tab content
                'callback' => [ $faq_tabs_cb, 'get_faq_tab' ],
            ],
            [
                'tag'      => 'bwl_faq_tabs', // all tabs
                'callback' => [ $faq_tabs_cb, 'get_faq_tabs' ],
            ],

        ];

        $shortcodes_api->add_shortcodes( $shortcodes )->register();
    }
}
