<?php
namespace BwlFaqManager\Helpers;

/**
 * Class for plugin options panel constants.
 *
 * @package BwlFaqManager
 */
class SchedulerConstants {


	/**
	 * Register the plugin constants.
	 */
	public static function register() {

		self::set_interval_constants();
		self::set_cronjob_constants();
		// self::set_advanced_constants();
	}

	/**
	 * Set the plugin options panel fonts constants.
	 */
	private static function set_interval_constants() {

		if ( ! defined( 'BWL_CRON_EVERY_MINUTE' ) ) {
			define( 'BWL_CRON_EVERY_MINUTE', 'bwl_cron_every_minute' );
			define( 'BWL_CRON_EVERY_HOUR', 'bwl_cron_every_hour' );
			define( 'BWL_CRON_EVERY_DAY', 'bwl_cron_every_day' );
			define( 'BWL_CRON_EVERY_WEEK', 'bwl_cron_every_week' );
		}

	}

	/**
	 * Set the plugin options panel reading constants.
	 */
	private static function set_cronjob_constants() {
		// This is the action hook name for the cron job.
		// This should be unique to avoid conflicts with other plugins.
		define( 'BAF_CRON_OFFER_ID', 'baf_check_offer' );

		// Cron Data ID.
		// This is the option ID for storing the cron job data.

		define( 'BAF_CRON_OFFER_OPTION_ID', 'baf_scheduled_offer' );

	}
}
