document.addEventListener("DOMContentLoaded", function () {
  if (document.getElementById("categories-sortable") === null) {
    return
  }

  makeSortables(document.getElementById("categories-sortable"))
})

// 🛠 Initialize Sortable with restricted movement inside current <ul>
function makeSortables(parent) {
  parent.querySelectorAll("ul").forEach(function (ul) {
    new Sortable(ul, {
      group: { name: "nested-" + Math.random(), pull: false, put: false }, // 🚫 No pull/put outside
      animation: 150,
      fallbackOnBody: true,
      swapThreshold: 0.65,
      handle: "li",
      draggable: "li",
      dataIdAttr: "data-id",
      fallbackTolerance: 5,
      ghostClass: "ghost",
      direction: "vertical",
    })
  })

  // Top-level still sortable within itself
  new Sortable(parent, {
    group: { name: "nested-top", pull: false, put: false }, // 🚫 Top-level contained too
    animation: 150,
    fallbackOnBody: true,
    swapThreshold: 0.65,
    handle: "li",
    draggable: "li",
    dataIdAttr: "data-id",
    fallbackTolerance: 5,
    ghostClass: "ghost",
    direction: "vertical",
  })
}
