import $ from "jquery"
/**
 * Class For Searchable FAQ List
 */
export default class FaqLists {
  /**
   * Run when the document is ready.
   *
   * @return {void}
   */

  constructor() {
    this.cache()
  }

  cache() {
    this.parentContainer = $(".baf_filter_list")
  }

  docReady() {
    if (this.parentContainer.length === 0) return ""

    this.registerFaqLists()
  }

  registerFaqLists() {
    this.parentContainer.each((index, element) => {
      var $this = $(element),
        $filter_form = $this.closest("form"),
        $faq_container_id = $("#" + $this.attr("id"))

      $faq_container_id.bwlFaqFilter({
        unique_id: $filter_form.data("unique_id"),
        paginate: $filter_form.data("paginate"),
        pag_limit: $filter_form.data("pag_limit"),
        search_only_title: $filter_form.data("search_only_title"),
      })
    })
  }
}
